## class Application : public MWidget

> generic window-based application class. See: MWidget.

## Inheritance:

### Public Methods

  | Application (const char *name)
  virtual | ~Application ()
  void | Manage () manage application's top-level windows
  void | Unmanage () unmanage application's top-level windows
  void | Iconify () iconify application's top-level windows
  void | Quit () close all top-level windows and quit application.
  void | CloseWindow (MainWindow *m) close window and quit application when it is the last.
  Display* | GetDisplay ()
  XtAppContext | GetAppContext ()
  const char* | GetAppClass ()
  const char* | GetClassName ()
  bool | Initialized ()
  MessageLogDialog* | GetMessageLogDialog ()
  PrinterOptions* | GetPrinterOptions ()
  friend int | main (int argc, char** argv) Allow main and MainWindow to access protected member functions
  void | CreatePrivateColormap ()
  List <Color *> * | GetColors ()
  static void | XtErrorHandler (char *msg) Show Xt and X error in error message log.

### Protected Methods

  Config* | GetConfig ()
  virtual void | Initialize (int argc, char** argv)
  virtual void | HandleEvents ()

### Inherited from MWidget:

### Public Methods

bool IsRealized()
void SetColormap(Colormap cmap)
void SetDestroyCallback(XtCallbackProc fun, XtPointer clientData)
void AddLiteClue(Widget w, const char *text)

### Protected Methods

Widget GetLiteClue()
void CreateLiteClue()
void InstallDestroyHandler()

### Inherited from Component:

### Public Methods

bool IsManaged()
Widget GetWidget()
Window GetWindow()

### Protected Methods

void SetWidget(Widget w)
const string* GetName() const
void SetName(const string *s)
void SetName(const char *s)

## Documentation

> generic window-based application class. See: MWidget.

`Application(const char *name)`

`virtual ~Application()`

`void Manage()`
  manage application's top-level windows

`void Unmanage()`
  unmanage application's top-level windows

`void Iconify()`
  iconify application's top-level windows

`void Quit()`
  close all top-level windows and quit application.

`void CloseWindow(MainWindow *m)`
  close window and quit application when it is the last.

`Display* GetDisplay()`

`XtAppContext GetAppContext()`

`const char* GetAppClass()`

`const char* GetClassName()`

`bool Initialized()`

`MessageLogDialog* GetMessageLogDialog()`

`PrinterOptions* GetPrinterOptions()`

`friend int main(int argc, char** argv)`
  Allow main and MainWindow to access protected member functions

`void CreatePrivateColormap()`

`List <Color *> * GetColors()`

`static void XtErrorHandler(char *msg)`
  Show Xt and X error in error message log.

`Config* GetConfig()`

`virtual void Initialize(int argc, char** argv)`

`virtual void HandleEvents()`

This class has no child classes.

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de